java.awt.dnd

## Interface DragSourceMotionListener

All Superinterfaces:
  EventListener

All Known Implementing Classes:
  DragSourceAdapter, DragSourceContext

    public interface DragSourceMotionListener
    extends EventListener

A listener interface for receiving mouse motion events during a drag operation.

The class that is interested in processing mouse motion events during a drag operation either implements this interface or extends the abstract `DragSourceAdapter` class (overriding only the methods of interest).

Create a listener object using that class and then register it with a `DragSource`. Whenever the mouse moves during a drag operation initiated with this `DragSource`, that object's `dragMouseMoved` method is invoked, and the `DragSourceDragEvent` is passed to it.

Since:
  1.4
See Also:
  `DragSourceDragEvent`, `DragSource`, `DragSourceListener`, `DragSourceAdapter`

### Method Summary

Methods
`void` `dragMouseMoved(DragSourceDragEvent dsde)` Called whenever the mouse is moved during a drag operation.

### Method Detail

#### dragMouseMoved

    void dragMouseMoved(DragSourceDragEvent dsde)

Called whenever the mouse is moved during a drag operation.

Parameters:
  `dsde` - the `DragSourceDragEvent`

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.